# octavia.certificates.common package

## Subpackages

- octavia.certificates.common.auth package
  - Submodules
  - octavia.certificates.common.auth.barbican_acl module
    - `BarbicanACLAuth`
      - `BarbicanACLAuth.ensure_secret_access()`
      - `BarbicanACLAuth.get_barbican_client()`
      - `BarbicanACLAuth.get_barbican_client_user_auth()`
      - `BarbicanACLAuth.revoke_secret_access()`
  - Module contents

## Submodules

## octavia.certificates.common.barbican module

Common classes for Barbican certificate handling

class BarbicanAuth

  Bases: `object`

  abstractmethod ensure_secret_access(context, ref)

    Do whatever steps are necessary to ensure future access to a secret.

    Parameters:

      - context – pecan context object

      - ref – Reference to a Barbican object

  abstractmethod get_barbican_client(project_id)

    Creates a Barbican client object.

    Parameters:

      project_id – Project ID that the request will be used for

    Returns:

      a Barbican Client object

    Raises:

      Exception – if the client cannot be created

  abstractmethod revoke_secret_access(context, ref)

    Revoke access of Octavia keystone user to a secret.

    Parameters:

      - context – pecan context object

      - ref – Reference to a Barbican object

class BarbicanCert(cert_container)

  Bases: `Cert`

  Representation of a Cert based on the Barbican CertificateContainer.

  get_certificate()

    Returns the certificate.

  get_intermediates()

    Returns the intermediate certificates as a list.

  get_private_key()

    Returns the private key for the certificate.

  get_private_key_passphrase()

    Returns the passphrase for the private key.

## octavia.certificates.common.cert module

class Cert

  Bases: `object`

  Base class to represent all certificates.

  abstractmethod get_certificate()

    Returns the certificate.

  abstractmethod get_intermediates()

    Returns the intermediate certificates as a list.

  abstractmethod get_private_key()

    Returns the private key for the certificate.

  abstractmethod get_private_key_passphrase()

    Returns the passphrase for the private key.

## octavia.certificates.common.local module

Common classes for local filesystem certificate handling

class LocalCert(certificate, private_key, intermediates=None, private_key_passphrase=None)

  Bases: `Cert`

  Representation of a Cert for local storage.

  get_certificate()

    Returns the certificate.

  get_intermediates()

    Returns the intermediate certificates as a list.

  get_private_key()

    Returns the private key for the certificate.

  get_private_key_passphrase()

    Returns the passphrase for the private key.

## octavia.certificates.common.pkcs12 module

Common classes for pkcs12 based certificate handling

class PKCS12Cert(certbag)

  Bases: `Cert`

  Representation of a Cert for local storage.

  get_certificate()

    Returns the certificate.

  get_intermediates()

    Returns the intermediate certificates as a list.

  get_private_key()

    Returns the private key for the certificate.

  get_private_key_passphrase()

    Returns the passphrase for the private key.

## Module contents

this page last updated: 2026-03-10 18:02:42

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug